local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ZandalarEasterEggsUI(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.TortollanWeddingEasterEgg(container)

end



local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)

   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Zandalar - Easter Eggs")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")



local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Tortollan Wedding", value="tab1"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end